Demande d'installation python avec openpyxl

Bonjour,
Je réalise un essaie de déploiement de notre workflow de traitement de routine qui est en snakemake et qui utilise conda. J'aimerais remplacer conda par les modules env présent sur le core cluster (Comme discuté en visio avec Gildas hier). Notre workflow a besoin de snakemake et python avec openpyxl.
Est-ce que qu'il suffirait que je fasse un pip install ou bien cela pourrait-il causer des problèmes?

Je vous met l'erreur ci-dessous:

ImportError in line 8 of /shared/ifbstor1/projects/hsc_scrnaseq/mw-sst/../mw-sst/src/snakemake/functions/mapper.py:
Missing optional dependency 'openpyxl'. Use pip or conda to install openpyxl.

Bonne journée,
Sébastien

Bonjour,

Snakemake version 6.14.0 en cours d'installation: update snakemake + add openpyxl + use mamba as recommended in the doc (!709) · Merge requests · Institut Français de Bioinformatique / Cluster / tools · GitLab

avec openpyxl

Ce qui devrait permetre de faire juste un

module load snakemake/6.14.0

pour avoir snakemake + python + openpyxl dans le même environnement

Bonjour François,
j'ai pu lancer un test avec snakemake 6.14.0 et je n'ai plus l'erreur, mon worklow se lance bien! Merci beaucoup!

Sébastien

1 « J'aime »